<template>
	<view>
		<view v-for="(joinpayMchCheck, index) in joinpayMchCheckList" :key="index">
			<uni-list-item :title="name+joinpayMchCheck.userName"  @click="retail(joinpayMchCheck)"  />
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				name:'账号:',
				joinpayMchCheckList:[],
				weixinDown: true
			};
		},
		onShow() {
			this.init();
		},
		methods: {
			init(){
				var token = uni.getStorageSync("token");
				uni.request({
					url: this.serverurl + '/TJoinpayMchCheck/getList',
					header: {
						'token': token
					},
					method: "GET",
					success: (res) => {
						if(res.data.code){
							this.joinpayMchCheckList = res.data.data;
						}
					},
				});
			},
			retail(joinpayMchCheck) {
				uni.navigateTo({
					url: 'joinpayMchCheck?joinpayMchCheck='+ encodeURIComponent(JSON.stringify(joinpayMchCheck)),
				});
			}
		}
		
	}
	
</script>

<style>
</style>
